classification
Title: In documentation of getopt, advertise argparse instead of optparse
Type: Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Danh, docs@python, eric.araujo, python-dev
Priority: normal Keywords:

Created on 2011-03-01 12:28 by Danh, last changed 2011-09-04 06:41 by python-dev. This issue is now closed.

Messages (5)
msg129753 - (view) Author: Daniel Haertle (Danh) Date: 2011-03-01 12:28
At the beginning of http://docs.python.org/dev/library/getopt.html the line

"A more convenient, flexible, and powerful alternative is the optparse module."

routes the user to optparse. Since optparse is deprecated in favor of argparse, this line is no more up-to-date.

The best is to remove this line completely, since there already is a note routing to argparse.
msg129788 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-03-01 18:28
This was overlooked in r81490, which added the note pointing to argparse. Fixed in r88696 for the py3k branch (I’ll backport later to 3.2 and 2.7), thanks.
msg143013 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-08-26 14:39
New changeset 40f7a6e71930 by Éric Araujo in branch '3.2':
Remove outdated pointer to optparse (fixes #11360).
http://hg.python.org/cpython/rev/40f7a6e71930
msg143014 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-08-26 14:42
New changeset 6d3c645fa52f by Éric Araujo in branch '2.7':
Remove outdated pointer to optparse (fixes #11360).
http://hg.python.org/cpython/rev/6d3c645fa52f
msg143477 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-09-04 06:41
New changeset dff0f4db67da by Éric Araujo in branch '3.2':
Remove outdated pointer to optparse (fixes #11360).
http://hg.python.org/cpython/rev/dff0f4db67da
History
Date User Action Args
2011-09-04 06:41:31python-devsetmessages: + msg143477
2011-08-26 14:42:01python-devsetmessages: + msg143014
2011-08-26 14:39:50python-devsetnosy: + python-dev
messages: + msg143013
2011-03-01 18:28:06eric.araujosetstatus: open -> closed

versions: + Python 2.7
nosy: + eric.araujo

messages: + msg129788
resolution: fixed
stage: resolved
2011-03-01 12:28:22Danhcreate